function selectclosureCAA(hObject, eventdata, Empty_Button, Buttons, AxesC, AxesA, AxesSOLC, AxesSOLA, uonoff, uonoffC, regcont, regcontC, type, lcs, vers)

data = get(Empty_Button,'UserData');
if ((isfield(data,'isdata')*isfield(data,'isAFSC')*isfield(data,'isAFSA') == 0) || (data.isdata*data.isAFSC*data.isAFSA == 0)) && ...
        ((isfield(data,'full') == 0) || (isfield(data.full,'isA')*isfield(data.full,'isC') == 0) || (data.full.isA*data.full.isA == 0))
    set(hObject, 'Value',0)
    return;
end

if get(hObject, 'Value') == 1
    if vers == 1
        data.isclosure = 1;
    elseif vers == 2
        data.isshift = 1;
    elseif vers == 3
        data.ispeakposition = 1;
    else
        data.isxreverse = 1;
    end
else
    if vers == 1
        data.isclosure = 0;
    elseif vers == 2
        data.isshift = 0;
    elseif vers == 3
        data.ispeakposition = 0;
    else
        data.isxreverse = 0;
    end
end

set(Empty_Button,'UserData',data);

isregcon = [0 0];   REGCON = [];
if (data.regcon > 0) && (data.isregcon(data.regcon) == 1)
    isregcon(1) = data.regcon;
    REGCON{1} = data.REGCON{isregcon(1)};
end
if (data.regconC > 0) && (data.isregconC(data.regconC) == 1)
    isregcon(2) = data.regconC;
    REGCON{2} = data.REGCONC{isregcon(2)};
end

if ~isempty(data.xla)
    plotafsCAA(AxesA, AxesC, AxesSOLA, AxesSOLC, data.xla, data.xlc, data.yla, data.ylc, data.x, data.t, data.AFSA, data.AFSC,...
               data.U*data.S, data.V', data.fixA, data.fixC, data.choosen, data.choosenC, isregcon, REGCON, data.full, data.selectplot, data.givena, data.givenc, data.tall, data.tcll, data.istrace, lcs, [data.isclosure data.isshift data.ispeakposition data.isxreverse]);
else
    plot(AxesC,1,0,'w');
    plot(AxesA,1,0,'w');
    plot(AxesSOLC,1,0,'w');
    plot(AxesSOLA,1,0,'w');
end
